> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update boleta status

> Operacion: Update boleta status.



## OpenAPI

````yaml /generated/specs/finance.json put /api/v1/boleta/{id}/status
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/boleta/{id}/status:
    put:
      tags:
        - Billing - Boletas
      summary: Update boleta status
      description: 'Operacion: Update boleta status.'
      operationId: BoletaController_updateBoletaStatus
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateBoletaStatusDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoletaResponseDto'
        '404':
          description: Boleta not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateBoletaStatusDto:
      type: object
      properties:
        boleta_status_id:
          type: number
          description: New status ID
      required:
        - boleta_status_id
    BoletaResponseDto:
      type: object
      properties:
        id_boleta:
          type: number
        id_technician:
          type: string
        ids_visits:
          type: string
        boleta_status_id:
          type: number
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        uf_value:
          type: number
      required:
        - id_boleta
        - id_technician
        - uf_value
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````